GuiCommand: Name: Part Ellipse MenuLocation: Part , Part_Primitives , Ellipse Workbenches: Part_Workbench, OpenSCAD_Workbench SeeAlso: Part_Primitives
Part Ellipse
Description
A Part Ellipse is a parametric shape that can be created with the
Part Primitives command. In the coordinate system defined by its Placement property, the ellipse lies on the XY plane with its center at the origin. Its mayor axis is parallel to the X axis.
A Part Ellipse is in fact a closed counterclockwise elliptical arc, it can be turned into an arc by changing its Angle1 and/or Angle2 properties.
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/Part_Ellipse_Example.png)
Usage
See Part Primitives.
Example
A Part Ellipse object created with the scripting example below is shown here.
Properties
See also: Property editor.
A Part Ellipse object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
{{TitleProperty|Attachment}}
The object has the same attachment properties as a Part Part2DObject.
{{TitleProperty|Base}}
-
MajorRadius|Length: The major radius of the ellipse or elliptical arc. The default is {{Value|4mm}}.
-
MinorRadius|Length: The minor radius of the ellipse or elliptical arc. The default is {{Value|2mm}}.
-
Angle1|Angle: The start angle of the elliptical arc. Valid range: {{Value|0° < value <= 360°}}. The default is {{Value|0°}}.
-
Angle2|Angle: The end angle of the elliptical arc. Valid range: {{Value|0° < value <= 360°}}. The default is {{Value|360°}}. If Angle1 and Angle2 are equal, or if one angle is {{Value|0°}} and the other {{Value|360°}}, a full ellipse is created.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Ellipse can be created with the {{Incode|addObject()}} method of the document:
ellipse = FreeCAD.ActiveDocument.addObject("Part::Ellipse", "myEllipse")
- Where {{Incode|"myEllipse"}} is the name for the object.
- The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
ellipse = doc.addObject("Part::Ellipse", "myEllipse")
ellipse.MajorRadius = 20
ellipse.MinorRadius = 10
ellipse.Angle1 = 45
ellipse.Angle2 = 135
ellipse.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))
doc.recompute()
{{Part_Tools_navi}}
⏵ documentation index > Part > Part Ellipse
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/Part_Ellipse.md